#pragma once

#include "CoreMinimal.h"
#include "HauntSpawnPoint.generated.h"

class USceneComponent;

USTRUCT(BlueprintType)
struct FHauntSpawnPoint
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Instanced)
	USceneComponent* HauntSpawnSceneComponent;

public:
	HALLOWEEN_API FHauntSpawnPoint();
};

FORCEINLINE uint32 GetTypeHash(const FHauntSpawnPoint) { return 0; }
